Постгрес для 1С не работает

Сообщения
23
#21
покажите вывод
Код:
service haspd status
Если извлеч локальный ключ то показывает:
Код:
a1@1CAstra15:~$ sudo service haspd status

Hardware protection keys support bundle. Etersoft (c) 2008-2016

HASPD package 7.60 with /dev/bus/usb support

Aladdin HASP 4/HL/SRM driver status:

    kernel module aksparlnx is not loaded (WARNING: HASP LPT keys support is disabled! Run service haspd build if needed.)

    aksusbd is running

    winehasp is running

    hasplm is running

    hasplmd is running

aksusbd version 7.60.1.70367 - key API (USB) version: 3.88 (parallel driver not available)

    /proc/bus/usb workaround is enabled

Smartkey 3 USB/LPT driver status:

    skeyd is stopped

SafeNet Sentinel status:

    usbsentinel is stopped

    SntlKeysSrvrlnx is stopped

Use $ eterkeytest [--hasp] [--sentinel] [--eutron] for test key presence

a1@1CAstra15:~$

a1@1CAstra15:~$ sudo netstat -anp | grep hasp

tcp        0      0 0.0.0.0:1947            0.0.0.0:*               LISTEN      14748/hasplmd

udp        0      0 0.0.0.0:1947            0.0.0.0:*                           14748/hasplmd

udp        0      0 127.0.0.1:2790          0.0.0.0:*                           14730/winehasp

udp        0      0 0.0.0.0:44573           0.0.0.0:*                           14748/hasplmd

udp        0      0 0.0.0.0:475             0.0.0.0:*                           14739/hasplm

unix  2      [ ]         DGRAM                    249701   14730/winehasp

unix  2      [ ]         DGRAM                    249702   14739/hasplm

unix  2      [ ]         DGRAM                    249713   14748/hasplmd

unix  3      [ ]         STREAM     CONNECTED     250503   14748/hasplmd

a1@1CAstra15:~$



Ключ стои локально

a1@1CAstra15:~$ sudo service haspd restart

Stopping hasplmd... .                                                   [ DONE ]

Stopping hasplm...                                                      [ DONE ]

Stopping winehasp...                                                    [ DONE ]

Stopping aksusbd...                                                     [ DONE ]

Stopping skeyd...                                                       [PASSED]

Stopping usbsentinel...                                                 [PASSED]

Stopping SntlKeysSrvrlnx...                                             [PASSED]

Stopping workaround for /proc/bus/usb                                   [ DONE ]

Unloading HASP LPT kernel module...                                     [PASSED]

Loading HASP LPT kernel module...  (/dev/lp0 device has not found)      [PASSED]

Check kernel for CONFIG_USB_DEVICEFS...                                 [PASSED]

Enable workaround for /proc/bus/usb (bind from /dev/bus/usb)            [ DONE ]

                                                                        [ DONE ]

Running aksusbd...                                                      [ DONE ]

Running winehasp...                                                     [ DONE ]

Running hasplm...                                                       [ DONE ]

Running hasplmd...                                                      [ DONE ]

We have no built usbkeytest, so run all possible services

Running skeyd...                                                        [ DONE ]

a1@1CAstra15:~$ sudo service haspd status

Hardware protection keys support bundle. Etersoft (c) 2008-2016

HASPD package 7.60 with /dev/bus/usb support

Aladdin HASP 4/HL/SRM driver status:

    kernel module aksparlnx is not loaded (WARNING: HASP LPT keys support is disabled! Run service haspd build if needed.)

    aksusbd is running

    winehasp is running

    hasplm is running

    hasplmd is running

aksusbd version 7.60.1.70367 - key API (USB) version: 3.88 (parallel driver not available)

    /proc/bus/usb workaround is enabled

Smartkey 3 USB/LPT driver status:

    skeyd is running

skeymon v11.5 - Smartkey server monitor

Copyright (C) 2004 Eutron <helpdesk@eutron.com>



====================================================

             Smartkey server statistics

====================================================

Opens       keys: 0       servers: 1

====================================================

Messages    received: 0     sent: 0     error: 0

====================================================

Clients     logged: 0     removed: 0

====================================================

SafeNet Sentinel status:

    usbsentinel is stopped

    SntlKeysSrvrlnx is stopped





Use $ eterkeytest [--hasp] [--sentinel] [--eutron] for test key presence

a1@1CAstra15:~$ sudo netstat -anp | grep hasp

tcp        0      0 0.0.0.0:1947            0.0.0.0:*               LISTEN      15387/hasplmd

udp        0      0 0.0.0.0:1947            0.0.0.0:*                           15387/hasplmd

udp        0      0 127.0.0.1:2790          0.0.0.0:*                           15369/winehasp

udp        0      0 0.0.0.0:40354           0.0.0.0:*                           15387/hasplmd

udp        0      0 0.0.0.0:475             0.0.0.0:*                           15378/hasplm

unix  2      [ ]         DGRAM                    258657   15387/hasplmd

unix  3      [ ]         STREAM     CONNECTED     257604   15387/hasplmd

unix  2      [ ]         DGRAM                    258655   15378/hasplm

unix  2      [ ]         DGRAM                    258654   15369/winehasp

a1@1CAstra15:~$
 

Fd1501h

Moderator
Сообщения
666
#24
В настройках базы (на сервере 1С) данных стоит галочка разрешить серверу выдавать лицензии?
 
Сообщения
23
#25
В настройках базы (на сервере 1С) данных стоит галочка разрешить серверу выдавать лицензии?
В настоящее время пытаюсь проверить работу 1С клиента, к серверу без проблем Windows клиенты подключаются. Сервер развернут на Debian 8.

Не могу подобрать алгоритм действий для нормальной работы 1С.
 

Fd1501h

Moderator
Сообщения
666
#26
Так что-то я запутался...
Ключь клиентский у вас где установлен?
 
Сообщения
23
#27
Так что-то я запутался...
Ключь клиентский у вас где установлен?
на нескольких ПК в сети, не видит
Если подключать локально, то же не видит.

Windows клиенты все видят и работают.
На сервере стоит плюс серверный ключ.
 

Fd1501h

Moderator
Сообщения
666
#28
на нескольких ПК в сети, не видит
Если подключать локально, то же не видит.

Windows клиенты все видят и работают.
На сервере стоит плюс серверный ключ.
Я делал не многу другую схему. На сервере создаётся папка /opt/1C/v8.3/x86_64/conf (тут смотрите разрядность x86 или x86_64)
в ней файл nethasp.ini c примерным содержанием:
Код:
[NH_COMMON]
;
; Section-specific Keywords
;

;
; You can set either of the following three Keywords to "Enabled"!
;
;;NH_IPX = Enabled or Disabled         ; Use the IPX protocol
;;NH_NETBIOS = Enabled or Disabled    ; Use the NETBIOS protocol
NH_TCPIP = Enabled            ; Use the TCP/IP protocol

;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.



[NH_IPX]

;
; Section-specific Keywords for the IPX protocol.
;

;;NH_NCLIENT32 = Disabled        ; Disable Novell Client use

;;NH_GET_LOCAL_TARGET = Disabled        ; Disable LM search over segments

;;NH_USE_BINDERY = Enabled or Disabled    ; Use IPX with bindery.
                    ; Default:  Disabled
                    ; Ignored under Win32 API.
                    ; This switch replaces older switch
                    ; named NH_USE_SAP.

;;NH_USE_BROADCAST = Enabled or Disabled; Use IPX Broadcast mechanism.
                    ; Default:  Enabled

;;NH_BC_SOCKET_NUM = <Number>        ; Broadcast socket number (HEX).
                    ; Default:  7483H

;;NH_USE_INT = 2F_NEW or 7A_OLD        ; 2F_NEW means that IPX protocol will
                    ; use interrupt 2Fh ONLY.
                    ; 7A_OLD means that IPX protocol will
                    ; use interrupt 7Ah ONLY.
                    ; Default:  2F_NEW.

;;NH_SERVER_NAME = <Name1>, <Name2>,..    ; Communicate with the NetHASP
                    ; Server with the specified name.
                    ; Maximum: 6 names, up to 7
                    ; case-insensitive characters each.

;;NH_SEARCH_METHOD = Localnet or Internet ; See Local Networks and
                      ; Internetworks in the HASP
                                          ; Programmer's Guide.

;;NH_DATFILE_PATH = <path>        ; Specify the location of the NetHASP
                    ; License Manager's address file.

;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.


[NH_NETBIOS]

;
; Section-specific Keywords for the NetBIOS protocol.
;
;;NH_NBNAME = <Name>            ; Assign a name to the NetHASP
                    ; License Manager.
                    ; 1 name possible, up to 8
                    ; case-insensitive characters.

;;NH_USELANANUM = <Num>            ; Assign a lana number to be used
                    ; as a communication channel.
;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.


[NH_TCPIP]

;
; NetHASP does not support TCP/IP under DOS.
;

;
; Section-specific Keywords for the TCP/IP protocol.
;

NH_SERVER_ADDR = $$.$$.$$.$$         ; IP addresses of all the NetHASP
                    ; License Managers you want to search.
                    ; Unlimited addresses and multiple
                    ; lines are possible.
                    ;
                    ; Possible address format examples:
                    ;  IP address:      192.114.176.65
                    ;  Local Hostname:  ftp.aladdin.co.il

;;NH_PORT_NUMBER = <Num>        ; Set the TCP/IP port number. This is
                    ; optional. The default number is 475.


;;NH_TCPIP_METHOD = TCP or UDP        ; Send a TCP packet or UDP packet
                    ; Default:  UDP
NH_USE_BROADCAST = Disabled        ; Use TCPI/IP Broadcast mechanism.
                    ; Default:  Enabled

;;NH_SERVER_NAME = <Name1>, <Name2>,    ; Communicate with the NetHASP
                    ; Server with the specified name.
                    ; Maximum: 6 names, up to 7
                    ; case-insensitive characters each.

;
; General Keywords.
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.
Отредактируйет строку NH_SERVER_ADDR

После этого сервер 1С получает лицензии по сети от HASP и раздёт уже сам клиентам

Пакеты для работы с HASP на сервер 1С при этом, я не ставил
 
Сообщения
23
#29
Я делал не многу другую схему. На сервере создаётся папка /opt/1C/v8.3/x86_64/conf (тут смотрите разрядность x86 или x86_64)
в ней файл nethasp.ini c примерным содержанием:
Код:
[NH_COMMON]
;
; Section-specific Keywords
;

;
; You can set either of the following three Keywords to "Enabled"!
;
;;NH_IPX = Enabled or Disabled         ; Use the IPX protocol
;;NH_NETBIOS = Enabled or Disabled    ; Use the NETBIOS protocol
NH_TCPIP = Enabled            ; Use the TCP/IP protocol

;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.



[NH_IPX]

;
; Section-specific Keywords for the IPX protocol.
;

;;NH_NCLIENT32 = Disabled        ; Disable Novell Client use

;;NH_GET_LOCAL_TARGET = Disabled        ; Disable LM search over segments

;;NH_USE_BINDERY = Enabled or Disabled    ; Use IPX with bindery.
                    ; Default:  Disabled
                    ; Ignored under Win32 API.
                    ; This switch replaces older switch
                    ; named NH_USE_SAP.

;;NH_USE_BROADCAST = Enabled or Disabled; Use IPX Broadcast mechanism.
                    ; Default:  Enabled

;;NH_BC_SOCKET_NUM = <Number>        ; Broadcast socket number (HEX).
                    ; Default:  7483H

;;NH_USE_INT = 2F_NEW or 7A_OLD        ; 2F_NEW means that IPX protocol will
                    ; use interrupt 2Fh ONLY.
                    ; 7A_OLD means that IPX protocol will
                    ; use interrupt 7Ah ONLY.
                    ; Default:  2F_NEW.

;;NH_SERVER_NAME = <Name1>, <Name2>,..    ; Communicate with the NetHASP
                    ; Server with the specified name.
                    ; Maximum: 6 names, up to 7
                    ; case-insensitive characters each.

;;NH_SEARCH_METHOD = Localnet or Internet ; See Local Networks and
                      ; Internetworks in the HASP
                                          ; Programmer's Guide.

;;NH_DATFILE_PATH = <path>        ; Specify the location of the NetHASP
                    ; License Manager's address file.

;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.


[NH_NETBIOS]

;
; Section-specific Keywords for the NetBIOS protocol.
;
;;NH_NBNAME = <Name>            ; Assign a name to the NetHASP
                    ; License Manager.
                    ; 1 name possible, up to 8
                    ; case-insensitive characters.

;;NH_USELANANUM = <Num>            ; Assign a lana number to be used
                    ; as a communication channel.
;
; General Keywords
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.


[NH_TCPIP]

;
; NetHASP does not support TCP/IP under DOS.
;

;
; Section-specific Keywords for the TCP/IP protocol.
;

NH_SERVER_ADDR = $$.$$.$$.$$         ; IP addresses of all the NetHASP
                    ; License Managers you want to search.
                    ; Unlimited addresses and multiple
                    ; lines are possible.
                    ;
                    ; Possible address format examples:
                    ;  IP address:      192.114.176.65
                    ;  Local Hostname:  ftp.aladdin.co.il

;;NH_PORT_NUMBER = <Num>        ; Set the TCP/IP port number. This is
                    ; optional. The default number is 475.


;;NH_TCPIP_METHOD = TCP or UDP        ; Send a TCP packet or UDP packet
                    ; Default:  UDP
NH_USE_BROADCAST = Disabled        ; Use TCPI/IP Broadcast mechanism.
                    ; Default:  Enabled

;;NH_SERVER_NAME = <Name1>, <Name2>,    ; Communicate with the NetHASP
                    ; Server with the specified name.
                    ; Maximum: 6 names, up to 7
                    ; case-insensitive characters each.

;
; General Keywords.
;
;;NH_SESSION = <Num>            ; See Adapting the Timeout Length
;;NH_SEND_RCV = <Num>            ; in the HASP Programmer's Guide.
Отредактируйет строку NH_SERVER_ADDR

После этого сервер 1С получает лицензии по сети от HASP и раздёт уже сам клиентам

Пакеты для работы с HASP на сервер 1С при этом, я не ставил
Все равно не работает.
попробую заново поставить с сайта сентинела
 
Сообщения
23
#30
Спасибо тем кто писал. Решение оказалось на поверхности. 1С даже при запуске клиента искал серверный ключ, не находил и поэтому сообщал ошибку....
При этом запускалась локальная информационная база, это видимо косячки 1С.
 

nfisher

New member
Сообщения
2
#31
Внезапно дополню.
Мне казалось, что, по кр. мере с версии 8.3, 1C не требует патченного постгреса.
Поправьте меня, если это не так.
 

nfisher

New member
Сообщения
2
#33
У меня, возможно, устаревшие сведения. Но когда у меня был живой аккаунт на users.v8.1c.ru в 2015-16гг, там было сообщение, что теперь мол на линуховой версии 1С не надо ставить наш пакет postgresql. Ставьте мол штатный.

Или "патченный" означает не другой код, а некие специфические настройки?
 

dm8

New member
Сообщения
2
#34
Доброго времени

Нужно завести postgres для версии 1с 8.2
С штатным 1c выдает ошибку ERROR: timestamp out of range
Пишут что начиная с postgres 9.4 - 9.6 должен быть собран с опцией --disable-integer-datetimes
Есть ли возможность на астре использовать 9.4 c 1c 8.2 или только использовать старый дистрибутив?

UPD: Как оказалось опция --disable-integer-datetimes идет и на более древних версиях постгре. Пробовал 9.3 и se 1.4 таже ошибка.
собрал в чрут 9.6.6 с патчами и --disable-integer-datetimes все заработало. Есть ли готовые пакеты postgresql под астру для использования с 1с 8.2???
Также для 1с 8.2 нужены ссылки на либы:
ln -s /usr/lib/x86_64-linux-gnu/libfreetype.so.6.12.3 /usr/lib/libfreetype.so
ln -s /usr/lib/x86_64-linux-gnu/libMagickWand-6.Q16.so.3.0.0 /usr/lib/libWand.so
 
Последнее редактирование:

LenIVEc

New member
Сообщения
14
#35
Извиняюсь за некропостинг, чтоб не плодить темы с подобными названиями.

Система:
admin2@astra-orel:~/Downloads/libwebkitgtk$ uname -a
Linux astra-orel 4.15.3-1-generic #astra19 SMP Wed May 22 11:26:14 UTC 2019 x86_64 GNU/Linux
устанавливал по мануалу https://wiki.astralinux.ru/
мануал, видимо, неполный, потому как периодически возникали ошибки, исправление которых посредством гугления привело к неработоспособности postgresql.
Первое, это то что после установки пакета libwebkitgtk-1.0 по приведённой в вики ссылке - следующий пункт оказался невыполнимым:
Выполнить:
usermod -a -G shadow postgres
setfacl -d -m u:postgres:r /etc/parsec/macdb
setfacl -R -m u:postgres:r /etc/parsec/macdb
setfacl -m u:postgres:rx /etc/parsec/macdb
setfacl -d -m u:postgres:r /etc/parsec/capdb
setfacl -R -m u:postgres:r /etc/parsec/capdb
setfacl -m u:postgres:rx /etc/parsec/capdb
Ругалось на то, что нет таких файлов. И действительно - в папочке parsec отсутствовали macdb и capdb. Пришлось их создать вручную и только потом перейти далее по мануалу.
С грехом по-полам установил всё остальное, демоны постгреса и 1с запустились и работают (но после перезагрузки системы 1с демон приходится стартовать руками через sudo, не понимаю - почему)
Подключаюсь к серверу 1С с виндовой оснастки, пытаюсь создать базу, получаю ошибку:
2019-09-26 16 39 45.jpg

И что дальше делать - не знаю... Гугление выдало единственный результат на форум mista. Решил обновить эти самые "контрибы":
Код:
admin2@astra-orel:~/Downloads/libwebkitgtk$ sudo service postgresql stop
admin2@astra-orel:~/Downloads/libwebkitgtk$ sudo apt-get install  postgresql-contrib
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет postgresql-contrib самой новой версии (9.6+175astra2).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
admin2@astra-orel:~/Downloads/libwebkitgtk$
Что дальше делать - я не знаю :(
 

Montfer

New member
Сообщения
2 353
#36
По поводу стартовать руками: возможно, нужно прописать
sudo systemctl enable имя_демона
По крайней мере такое помогла для pcscd.
По поводу остального - хз.
И да, на вики астры вперемешку мануалы для орла и смоленска, и что к чему относится хз..
 

LenIVEc

New member
Сообщения
14
#37
По поводу остального - хз.
И да, на вики астры вперемешку мануалы для орла и смоленска, и что к чему относится хз..
Но другие же по этой вики как-то ставили, и у них всё работает... подозрение, что все косяки из-за пакета libwebkitgtk-1.0 , так как он не ставится нормально:
admin2@astra-orel:~/Downloads/libw$ sudo tar -xvf libwebkitgtk-1.0.tar.gz
libwebkitgtk-1.0-common_1.8.1-3.4_all.deb
libjavascriptcoregtk-1.0-0_1.8.1-3.4_amd64.deb
libwebkitgtk-1.0-0_1.8.1-3.4_amd64.deb
admin2@astra-orel:~/Downloads/libw$ sudo dpkg -i *.deb
Выбор ранее не выбранного пакета libjavascriptcoregtk-1.0-0.
(Чтение базы данных … на данный момент установлено 144620 файлов и каталогов.)
Подготовка к распаковке libjavascriptcoregtk-1.0-0_1.8.1-3.4_amd64.deb …
Распаковывается libjavascriptcoregtk-1.0-0 (1.8.1-3.4) …
Выбор ранее не выбранного пакета libwebkitgtk-1.0-0.
Подготовка к распаковке libwebkitgtk-1.0-0_1.8.1-3.4_amd64.deb …
Распаковывается libwebkitgtk-1.0-0 (1.8.1-3.4) …
Выбор ранее не выбранного пакета libwebkitgtk-1.0-common.
Подготовка к распаковке libwebkitgtk-1.0-common_1.8.1-3.4_all.deb …
Распаковывается libwebkitgtk-1.0-common (1.8.1-3.4) …
dpkg: зависимости пакетов не позволяют настроить пакет libjavascriptcoregtk-1.0-0:
libjavascriptcoregtk-1.0-0 зависит от libicu52 (>= 52~m1-1~), однако:
Пакет libicu52 не установлен.


dpkg: ошибка при обработке пакета libjavascriptcoregtk-1.0-0 (--install):
проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libwebkitgtk-1.0-0:
libwebkitgtk-1.0-0 зависит от libjavascriptcoregtk-1.0-0 (= 1.8.1-3.4), однако:
Пакет libjavascriptcoregtk-1.0-0 пока не настроен.
libwebkitgtk-1.0-0 зависит от libgail18 (>= 1.18.0), однако:
Пакет libgail18 не установлен.
libwebkitgtk-1.0-0 зависит от libgeoclue0 (>= 0.11.1), однако:
Пакет libgeoclue0 не установлен.
libwebkitgtk-1.0-0 зависит от libgstreamer-plugins-base0.10-0 (>= 0.10.31), однако:
Пакет libgstreamer-plugins-base0.10-0 не установлен.
libwebkitgtk-1.0-0 зависит от libgstreamer0.10-0 (>= 0.10.31), однако:
Пакет libgstreamer0.10-0 не установлен.
libwebkitgtk-1.0-0 зависит от libicu52 (>= 52~m1-1~), однако:
Пакет libicu52 не установлен.
libwebkitgtk-1.0-0 зависит от libjpeg8 (>= 8c), однако:
Пакет libjpeg8 не установлен.
libwebkitgtk-1.0-0 зависит от libpango1.0-0 (>= 1.22.0), однако:
Пакет libpango1.0-0 не установлен.
libwebkitgtk-1.0-0 зависит от libpng12-0 (>= 1.2.13-4), однако:
Пакет libpng12-0 не установлен.
libcairo2:amd64 (1.14.8-1) ломает libwebkitgtk-1.0-0 (<< 2.4.5-2~) и установлен.
Версия libwebkitgtk-1.0-0, которая будет настроена: 1.8.1-3.4.

dpkg: ошибка при обработке пакета libwebkitgtk-1.0-0 (--install):
проблемы зависимостей — оставляем не настроенным
Настраивается пакет libwebkitgtk-1.0-common (1.8.1-3.4) …
При обработке следующих пакетов произошли ошибки:
libjavascriptcoregtk-1.0-0
libwebkitgtk-1.0-0
admin2@astra-orel:~/Downloads/libw$ sudo apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
geoclue-2.0 libavahi-glib1 libgeoclue-2-0 libjavascriptcoregtk-1.0-0 libjim0.76 libmbim-glib4 libmbim-proxy libqmi-glib5 libqmi-proxy libwebkitgtk-1.0-0 modemmanager usb-modeswitch usb-modeswitch-data
Предлагаемые пакеты:
comgt wvdial
Пакеты, которые будут УДАЛЕНЫ:
libwebkitgtk-1.0-common
НОВЫЕ пакеты, которые будут установлены:
geoclue-2.0 libavahi-glib1 libgeoclue-2-0 libjim0.76 libmbim-glib4 libmbim-proxy libqmi-glib5 libqmi-proxy modemmanager usb-modeswitch usb-modeswitch-data
Пакеты, которые будут обновлены:
libjavascriptcoregtk-1.0-0 libwebkitgtk-1.0-0
обновлено 2, установлено 11 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 11,5 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 16,0 MB.
Хотите продолжить? [Д/н] y
Пол:1 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libwebkitgtk-1.0-0 amd64 2.4.11-3 [8 058 kB]
Пол:2 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libjavascriptcoregtk-1.0-0 amd64 2.4.11-3 [1 948 kB]
Пол:3 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libavahi-glib1 amd64 0.6.32-2 [37,7 kB]
Пол:4 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libgeoclue-2-0 amd64 2.4.5-1 [29,3 kB]
Пол:5 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 geoclue-2.0 amd64 2.4.5-1 [84,6 kB]
Пол:6 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libmbim-glib4 amd64 1.14.0-1 [66,4 kB]
Пол:7 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libmbim-proxy amd64 1.14.0-1 [7 198 B]
Пол:8 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libqmi-glib5 amd64 1.16.2-1 [365 kB]
Пол:9 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libqmi-proxy amd64 1.16.2-1 [8 630 B]
Пол:10 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 modemmanager amd64 1.6.4-1 [629 kB]
Пол:11 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 libjim0.76 amd64 0.76-2 [114 kB]
Пол:12 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 usb-modeswitch-data all 20170120-1 [47,3 kB]
Пол:13 https://download.astralinux.ru/astra/current/orel/repository orel/main amd64 usb-modeswitch amd64 2.5.0+repack0-1 [56,3 kB]
Получено 11,5 MБ за 7с (1 571 kБ/c)
dpkg: libwebkitgtk-1.0-common: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
libwebkitgtk-1.0-0 зависит от libwebkitgtk-1.0-common (>= 1.8.1), однако:
Пакет libwebkitgtk-1.0-common будет удалён.
 

LenIVEc

New member
Сообщения
14
#38
(Чтение базы данных … на данный момент установлено 145018 файлов и каталогов.)
Удаляется libwebkitgtk-1.0-common (1.8.1-3.4) …
(Чтение базы данных … на данный момент установлено 144633 файла и каталога.)
Подготовка к распаковке …/00-libwebkitgtk-1.0-0_2.4.11-3_amd64.deb …
Распаковывается libwebkitgtk-1.0-0:amd64 (2.4.11-3) на замену (1.8.1-3.4) …
Подготовка к распаковке …/01-libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb …
Распаковывается libjavascriptcoregtk-1.0-0:amd64 (2.4.11-3) на замену (1.8.1-3.4) …
Выбор ранее не выбранного пакета libavahi-glib1:amd64.
Подготовка к распаковке …/02-libavahi-glib1_0.6.32-2_amd64.deb …
Распаковывается libavahi-glib1:amd64 (0.6.32-2) …
Выбор ранее не выбранного пакета libgeoclue-2-0:amd64.
Подготовка к распаковке …/03-libgeoclue-2-0_2.4.5-1_amd64.deb …
Распаковывается libgeoclue-2-0:amd64 (2.4.5-1) …
Выбор ранее не выбранного пакета geoclue-2.0.
Подготовка к распаковке …/04-geoclue-2.0_2.4.5-1_amd64.deb …
Распаковывается geoclue-2.0 (2.4.5-1) …
Выбор ранее не выбранного пакета libmbim-glib4:amd64.
Подготовка к распаковке …/05-libmbim-glib4_1.14.0-1_amd64.deb …
Распаковывается libmbim-glib4:amd64 (1.14.0-1) …
Выбор ранее не выбранного пакета libmbim-proxy.
Подготовка к распаковке …/06-libmbim-proxy_1.14.0-1_amd64.deb …
Распаковывается libmbim-proxy (1.14.0-1) …
Выбор ранее не выбранного пакета libqmi-glib5:amd64.
Подготовка к распаковке …/07-libqmi-glib5_1.16.2-1_amd64.deb …
Распаковывается libqmi-glib5:amd64 (1.16.2-1) …
Выбор ранее не выбранного пакета libqmi-proxy.
Подготовка к распаковке …/08-libqmi-proxy_1.16.2-1_amd64.deb …
Распаковывается libqmi-proxy (1.16.2-1) …
Выбор ранее не выбранного пакета modemmanager.
Подготовка к распаковке …/09-modemmanager_1.6.4-1_amd64.deb …
Распаковывается modemmanager (1.6.4-1) …
Выбор ранее не выбранного пакета libjim0.76:amd64.
Подготовка к распаковке …/10-libjim0.76_0.76-2_amd64.deb …
Распаковывается libjim0.76:amd64 (0.76-2) …
Выбор ранее не выбранного пакета usb-modeswitch-data.
Подготовка к распаковке …/11-usb-modeswitch-data_20170120-1_all.deb …
Распаковывается usb-modeswitch-data (20170120-1) …
Выбор ранее не выбранного пакета usb-modeswitch.
Подготовка к распаковке …/12-usb-modeswitch_2.5.0+repack0-1_amd64.deb …
Распаковывается usb-modeswitch (2.5.0+repack0-1) …
Настраивается пакет libmbim-glib4:amd64 (1.14.0-1) …
Обрабатываются триггеры для mime-support (3.60) …
Настраивается пакет libgeoclue-2-0:amd64 (2.4.5-1) …
Настраивается пакет libjim0.76:amd64 (0.76-2) …
Настраивается пакет libmbim-proxy (1.14.0-1) …
Настраивается пакет usb-modeswitch-data (20170120-1) …
Настраивается пакет libjavascriptcoregtk-1.0-0:amd64 (2.4.11-3) …
Настраивается пакет usb-modeswitch (2.5.0+repack0-1) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
Настраивается пакет libwebkitgtk-1.0-0:amd64 (2.4.11-3) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет libavahi-glib1:amd64 (0.6.32-2) …
Обрабатываются триггеры для dbus (1.10.26-0+deb9u1) …
Обрабатываются триггеры для hicolor-icon-theme (0.15-1) …
Настраивается пакет libqmi-glib5:amd64 (1.16.2-1) …
Настраивается пакет libqmi-proxy (1.16.2-1) …
Настраивается пакет geoclue-2.0 (2.4.5-1) …
Настраивается пакет modemmanager (1.6.4-1) …
Created symlink /etc/systemd/system/dbus-org.freedesktop.ModemManager1.service → /lib/systemd/system/ModemManager.service.
Created symlink /etc/systemd/system/multi-user.target.wants/ModemManager.service → /lib/systemd/system/ModemManager.service.
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
Обрабатываются триггеры для dbus (1.10.26-0+deb9u1) …
admin2@astra-orel:~/Downloads/libw$ mc

Для вас есть почта в /var/mail/admin2
admin2@astra-orel:~/Downloads/libw$ sudo dpkg -i *.deb
dpkg: предупреждение: снижение версии libjavascriptcoregtk-1.0-0:amd64 с 2.4.11-3 до 1.8.1-3.4
(Чтение базы данных … на данный момент установлено 144874 файла и каталога.)
Подготовка к распаковке libjavascriptcoregtk-1.0-0_1.8.1-3.4_amd64.deb …
Распаковывается libjavascriptcoregtk-1.0-0 (1.8.1-3.4) на замену (2.4.11-3) …
dpkg: предупреждение: снижение версии libwebkitgtk-1.0-0:amd64 с 2.4.11-3 до 1.8.1-3.4
Подготовка к распаковке libwebkitgtk-1.0-0_1.8.1-3.4_amd64.deb …
Распаковывается libwebkitgtk-1.0-0 (1.8.1-3.4) на замену (2.4.11-3) …
Выбор ранее не выбранного пакета libwebkitgtk-1.0-common.
Подготовка к распаковке libwebkitgtk-1.0-common_1.8.1-3.4_all.deb …
Распаковывается libwebkitgtk-1.0-common (1.8.1-3.4) …
dpkg: зависимости пакетов не позволяют настроить пакет libjavascriptcoregtk-1.0-0:
libjavascriptcoregtk-1.0-0 зависит от libicu52 (>= 52~m1-1~), однако:
Пакет libicu52 не установлен.
dpkg: ошибка при обработке пакета libjavascriptcoregtk-1.0-0 (--install):
проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libwebkitgtk-1.0-0:
libwebkitgtk-1.0-0 зависит от libjavascriptcoregtk-1.0-0 (= 1.8.1-3.4), однако:
Пакет libjavascriptcoregtk-1.0-0 пока не настроен.
libwebkitgtk-1.0-0 зависит от libgail18 (>= 1.18.0), однако:
Пакет libgail18 не установлен.
libwebkitgtk-1.0-0 зависит от libgeoclue0 (>= 0.11.1), однако:
Пакет libgeoclue0 не установлен.
libwebkitgtk-1.0-0 зависит от libgstreamer-plugins-base0.10-0 (>= 0.10.31), однако:
Пакет libgstreamer-plugins-base0.10-0 не установлен.
libwebkitgtk-1.0-0 зависит от libgstreamer0.10-0 (>= 0.10.31), однако:
Пакет libgstreamer0.10-0 не установлен.
libwebkitgtk-1.0-0 зависит от libicu52 (>= 52~m1-1~), однако:
Пакет libicu52 не установлен.
libwebkitgtk-1.0-0 зависит от libjpeg8 (>= 8c), однако:
Пакет libjpeg8 не установлен.
libwebkitgtk-1.0-0 зависит от libpango1.0-0 (>= 1.22.0), однако:
Пакет libpango1.0-0 не установлен.
libwebkitgtk-1.0-0 зависит от libpng12-0 (>= 1.2.13-4), однако:
Пакет libpng12-0 не установлен.
libcairo2:amd64 (1.14.8-1) ломает libwebkitgtk-1.0-0 (<< 2.4.5-2~) и установлен.
Версия libwebkitgtk-1.0-0, которая будет настроена: 1.8.1-3.4.

dpkg: ошибка при обработке пакета libwebkitgtk-1.0-0 (--install):
проблемы зависимостей — оставляем не настроенным
Настраивается пакет libwebkitgtk-1.0-common (1.8.1-3.4) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u3) …
При обработке следующих пакетов произошли ошибки:
libjavascriptcoregtk-1.0-0
libwebkitgtk-1.0-0

так же непонятно с папкой parsec, эти папки внутри неё должны создаваться автоматом при установке постгреса, или всё же вручную? :
admin2@astra-orel:~/Downloads/libw$ sudo usermod -a -G shadow postgres
admin2@astra-orel:~/Downloads/libw$ sudo setfacl -d -m u:postgres:r /etc/parsec/macdb
setfacl: /etc/parsec/macdb: Нет такого файла или каталога
 

Montfer

New member
Сообщения
2 353
#39
Не смогу ответить: должно или нет, т.к. не ставил это на астру.
А если жалуется, что не удалось удовлетворить зависимости, то ИНОГДА помогает сначала установка этих зависимостей, а потом нужного пакета. Но это не 100%-ое решение. Еще можно попробовать apt -f install или apt --fix-broken
 

Olej

New member
Сообщения
1 309
#40
Код:
admin2@astra-orel:~/Downloads/libw$ sudo tar -xvf libwebkitgtk-1.0.tar.gz
Где вы вообще это убоище взяли? Этот .tar.gz? :eek: Это же явно левак не из репозитория системы?

P.S. Конечно же у вас инсталляция а). битая по зависимостями + б). конфликт версий - ваша пакетная система порушена, в неустойчивом состоянии, там может наблюдаться всё что угодно.
Если (до тех пор пока...) инсталляция apt / dpkg не завершается нормально ... - нечего на зеркало пенять. :cry:
 
Последнее редактирование: